unit frmmodaltoshow;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Forms, Controls, Graphics, Dialogs, StdCtrls;
type

  { TfmModalToShow }

  TfmModalToShow = class(TForm)
    Button1: TButton;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
  private

  public
    function LaunchModal(aShowerForm: TForm):integer;
  end;

var
  fmModalToShow: TfmModalToShow;

implementation

{$R *.lfm}


// This form is a reusable object with its components and methods and it
// will be used in multiple projects or programs in the same project.

// Therefore, I cannot predict the name of the unit or form that will be
// launched from:
//     I cannot do mainform.Color because it will be called from many
// different units an forms. We need the form to be self-aware of who
// is launching it with some generic code solution.

// This form has to be able to access somehow to the property Color of
// its parent form,

{ TfmModalToShow }

function TfmModalToShow.LaunchModal(aShowerForm: TForm): integer;
begin
  Color := aShowerForm.Color;
  Label4.Caption := aShowerForm.Name;
  Label6.Caption := ColorToString(aShowerForm.Color);
  Result := ShowModal;
end;

end.





